PHP GD Graphics Library 'gd_gif_in.c'拒绝服务漏洞
发布时间:2018-02-02   录入:启明星辰

Bugtraq ID:

CVE ID:CVE-2018-5711

漏洞发布时间:2018-02-02

漏洞更新时间:2018-02-02

漏洞起因

设计错误

危险等级

影响系统

PHP < 5.6.33
PHP < 7.2.1
PHP < 7.1.13
PHP < 7.0.27

不受影响系统

危害

远程攻击者可以利用漏洞进行拒绝服务攻击。

CVSSv2:

攻击所需条件

WEB应用漏洞

漏洞信息

PHP是广泛使用的通用目的脚本语言,特别适合于Web开发,可嵌入到HTML中。

PHP libgd实现上存在整数签名安全漏洞,允许远程攻击者利用漏洞提交特殊的请求,进行拒绝服务攻击。

厂商解决方案

用户可参考如下厂商提供的安全补丁以修复该漏洞:

http://php.net/

漏洞提供者
vendor

漏洞消息链接
https://bugs.php.net/patch-display.php?bug=75571&patch=fix-75571&revision=1511981663

文章来源:http://www.venustech.com.cn/
  • 公司总部 | 分支机构 | 法律声明 | 投资者关系 | 400-624-3900 800-810-6038
  • © 启明星辰1996-2015 版权所有 京ICP备05032414号 京公网安备11010802024551号